Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Attributes
AdditiveCipherConcretePolicy< WT, W, X, BASE > Struct Template Reference
Inheritance diagram for AdditiveCipherConcretePolicy< WT, W, X, BASE >:

List of all members.

## Public Types

typedef WT | WordType

## Public Member Functions

unsigned int | GetAlignment () const
unsigned int | GetBytesPerIteration () const
unsigned int | GetIterationsToBuffer () const
bool | CanOperateKeystream () const
virtual void | OperateKeystream (KeystreamOperation operation, byte *output, const byte *input, size_t iterationCount)=0

## Static Public Attributes

static const int | BYTES_PER_ITERATION = sizeof(WordType) * W

## Detailed Description

### template<typename WT, unsigned int W, unsigned int X = 1, class BASE = AdditiveCipherAbstractPolicy>
struct AdditiveCipherConcretePolicy< WT, W, X, BASE >

Definition at line 84 of file strciphr.h.

The documentation for this struct was generated from the following file:

- strciphr.h